Foxit PDF RDK

Public Member Functions | List of all members
PageSizeTask Class Reference

Represents a task for setting page sizes within a document. More...

Inheritance diagram for PageSizeTask:

## Public Member Functions
| constructor (settingData, cb)
| Constructor for the PageSizeTask class. More...
| getdisplayPageSize ()
| Gets the display size of the page. More...
| getpdfPageSize ()
| Gets the size of the PDF page. More...
| getSettingData ()
| Retrieves the settings data for the page size task. More...
Public Member Functions inherited from Task
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Represents a task for setting page sizes within a document.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

PageSizeTask.constructor | ( | settingData | ,
|  | cb |
| ) |  |

Constructor for the PageSizeTask class.

Parameters

  {PageSizeTaskSettingData} | settingData - The settings data for the page size task.
  {PageSizeTaskCallBack} | cb - The callback to be invoked with the result of the task.

## ◆ getdisplayPageSize()

PageSizeTask.getdisplayPageSize | ( |  | ) |

Gets the display size of the page.

Returns
  {PointF} The size of the page as displayed, including width and height.

## ◆ getpdfPageSize()

PageSizeTask.getpdfPageSize | ( |  | ) |

Gets the size of the PDF page.

Returns
  {PointF} The size of the PDF page, including width and height.

## ◆ getSettingData()

PageSizeTask.getSettingData | ( |  | ) |

Retrieves the settings data for the page size task.

Returns
  {PageSizeTaskSettingData} The settings data associated with the task.